package com.ruoyi.materialType.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.ibatis.type.Alias;

/**
 * 物料类别对象 c_material_type
 *
 * @author ruoyi
 * @date 2024-03-01
 */
public class CMaterialType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long typeId;

    /** 编码 */
    @Excel(name = "编码")
    private String typeNo;

    /** 名称 */
    @Excel(name = "名称")
    private String typeName;

    /** 状态 */
    @Excel(name = "状态")
    private String typeState;

    public void setTypeId(Long typeId)
    {
        this.typeId = typeId;
    }

    public Long getTypeId()
    {
        return typeId;
    }
    public void setTypeNo(String typeNo)
    {
        this.typeNo = typeNo;
    }

    public String getTypeNo()
    {
        return typeNo;
    }
    public void setTypeName(String typeName)
    {
        this.typeName = typeName;
    }

    public String getTypeName()
    {
        return typeName;
    }

    public String getTypeState() {return typeState;}

    public void setTypeState(String typeState) {this.typeState = typeState;}

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("typeId", getTypeId())
            .append("typeNo", getTypeNo())
            .append("typeName", getTypeName())
            .toString();
    }
}
